For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Welcome
    • General Terms
    • API Responses
    • Authentication
    • Dictionaries
    • Use Cases
  • Search
  • Download
      • GETDownloadable Controller Get Downloadable Url
LogoLogo
DownloadDownloadable

Downloadable Controller Get Downloadable Url

GET
https://host.com/https://business.artlist.io/download/v1/downloadable/:assetType/:id/:format
GET
/https://business.artlist.io/download/v1/downloadable/:assetType/:id/:format
$curl https://host.com/https://business.artlist.io/download/v1/downloadable/song/123%20or%20123e4567-e89b-12d3-a456-426614174000/mp3
200Retrieved
1{
2 "url": "https://example.com/filename.mp3"
3}
Was this page helpful?
Previous
Built with

Path parameters

assetTypeenumRequired

The type of the asset - currently the supported asset type is ‘song’

Allowed values:
idstringRequired

The ID of the downloadable item (number or UUID)

formatenumRequired
The format of the download
Allowed values:

Response

Returns a downloadable URL
urlstring
The URL of the downloadable asset